#
# spec file for package libretro-nestopia
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libretro-nestopia
Version:        0~20170910.3eacbb2
Release:        1.1
Summary:        Nintendo NES / FDS Emulator for Retro-based frontends
License:        GPL-2.0
Group:          Amusements/Games/Other
Url:            https://github.com/libretro/nestopia
Source:         nestopia-%{version}.tar.xz
Source1:        nestopia.libretro
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a libretro port of the Nestopia emulator.
It can be used by various frontends to load Nintendo Entertainement System
/ Famicom Disk System games.

%prep
%setup -q -n nestopia-%{version}

%build
make %{?_smp_mflags} --directory=libretro prefix=%{_prefix} core_installdir=%{_libdir}/libretro/

%install
make --directory=libretro DESTDIR=%{buildroot} install prefix=%{_prefix} libdir=%{_libdir}
mkdir -p %{buildroot}%{_libdir}/libretro/
install -m644 -p %{SOURCE1} %{buildroot}%{_libdir}/libretro/

%files
%defattr(-,root,root)
%dir %{_libdir}/libretro
%{_libdir}/libretro/nestopia.libretro
%{_libdir}/libretro/nestopia_libretro.so

%changelog
* Wed Sep 13 2017 aplazas@suse.com
- Initial package, version 0~20170910.3eacbb2 (no proper versioning
  done by upstream).
